#include<iostream>
#include<vector>
using namespace std;

int main()
{
    int n, k, res = 1;
    cin >> n >> k;
    vector<int> a(n);

    for(int  i = 0; i < n; i++)
    {
        cin >> a[i];
        if(a[i] == 0)
        {
            res = 0;
        }
    }

    cout << 1;
}
